From: "Anna Vyalkova" <cyber+gentoo@sysrq.in>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/proj/guru:dev commit in: dev-python/ttfautohint-py/
Date: Mon, 27 Feb 2023 00:31:56 +0000 (UTC) [thread overview]
Message-ID: <1677456499.44fad13501e7025c0e5ca08791a6e41ece8d9013.cybertailor@gentoo> (raw)
commit: 44fad13501e7025c0e5ca08791a6e41ece8d9013
Author: Anna (cybertailor) Vyalkova <cyber+gentoo <AT> sysrq <DOT> in>
AuthorDate: Mon Feb 27 00:08:19 2023 +0000
Commit: Anna Vyalkova <cyber+gentoo <AT> sysrq <DOT> in>
CommitDate: Mon Feb 27 00:08:19 2023 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=44fad135
dev-python/ttfautohint-py: enable py3.11
Closes: https://bugs.gentoo.org/897586
Signed-off-by: Anna (cybertailor) Vyalkova <cyber+gentoo <AT> sysrq.in>
.../ttfautohint-py/ttfautohint-py-0.5.1-r1.ebuild | 38 ++++++++++++++++++++++
.../ttfautohint-py/ttfautohint-py-0.5.1.ebuild | 36 --------------------
2 files changed, 38 insertions(+), 36 deletions(-)
diff --git a/dev-python/ttfautohint-py/ttfautohint-py-0.5.1-r1.ebuild b/dev-python/ttfautohint-py/ttfautohint-py-0.5.1-r1.ebuild
new file mode 100644
index 000000000..de83b92bc
--- /dev/null
+++ b/dev-python/ttfautohint-py/ttfautohint-py-0.5.1-r1.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{9..11} )
+DISTUTILS_USE_PEP517=setuptools
+inherit distutils-r1
+
+DESCRIPTION="Python wrapper for ttfautohint, a free auto-hinter for TrueType fonts"
+HOMEPAGE="
+ https://pypi.org/project/ttfautohint-py/
+ https://github.com/fonttools/ttfautohint-py
+"
+SRC_URI="https://github.com/fonttools/${PN}/archive/refs/tags/v${PV}.tar.gz -> ${P}.gh.tar.gz"
+
+KEYWORDS="~amd64"
+LICENSE="MIT"
+SLOT="0"
+
+RDEPEND="media-gfx/ttfautohint"
+BDEPEND="
+ dev-python/setuptools_scm[${PYTHON_USEDEP}]
+ test? (
+ dev-python/fonttools[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ distutils-r1_src_prepare
+ rm -r src/c || die
+}
+
+src_configure() {
+ export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
+}
diff --git a/dev-python/ttfautohint-py/ttfautohint-py-0.5.1.ebuild b/dev-python/ttfautohint-py/ttfautohint-py-0.5.1.ebuild
deleted file mode 100644
index 9d4f68ead..000000000
--- a/dev-python/ttfautohint-py/ttfautohint-py-0.5.1.ebuild
+++ /dev/null
@@ -1,36 +0,0 @@
-# Copyright 1999-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-PYTHON_COMPAT=( python3_{8..10} )
-
-inherit distutils-r1
-
-DESCRIPTION="A Python wrapper for ttfautohint"
-HOMEPAGE="https://github.com/fonttools/ttfautohint-py"
-SRC_URI="https://github.com/fonttools/ttfautohint-py/archive/refs/tags/v${PV}.tar.gz -> ${P}.gh.tar.gz"
-
-KEYWORDS="~amd64"
-LICENSE="MIT"
-SLOT="0"
-
-RDEPEND="media-gfx/ttfautohint"
-DEPEND="
- ${RDEPEND}
- dev-python/setuptools_scm[${PYTHON_USEDEP}]
-"
-BDEPEND="
- test? (
- dev-python/fonttools[${PYTHON_USEDEP}]
- )
-"
-
-distutils_enable_tests pytest
-
-src_prepare() {
- rm -r src/c || die
- export SETUPTOOLS_SCM_PRETEND_VERSION="${PV%_*}"
- export TTFAUTOHINTPY_BUNDLE_DLL=0
- default
-}
next reply other threads:[~2023-02-27 0:32 UTC|newest]
Thread overview: 4+ messages / expand[flat|nested] mbox.gz Atom feed top
2023-02-27 0:31 Anna Vyalkova [this message]
-- strict thread matches above, loose matches on Subject: below --
2022-05-31 10:08 [gentoo-commits] repo/proj/guru:dev commit in: dev-python/ttfautohint-py/ Alessandro Barbieri
2022-05-28 15:15 Alessandro Barbieri
2022-03-14 2:41 Alessandro Barbieri
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1677456499.44fad13501e7025c0e5ca08791a6e41ece8d9013.cybertailor@gentoo \
--to=cyber+gentoo@sysrq.in \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox